SpamAssassin stürzt zwar hin und wieder ab, aber es ist immer noch besser als gar kein Spam-Filter... ;-)SpamAssassin hört sich gut an, nur bei meinem neuen vServer wird das mit dem Speichverbrauch wohl auch nicht hinhaun.
#!/bin/sh
#Downloadverzeichnis:
cd /usr/local/src
#CPAN-Module Downloaden, entpacken, installieren
# (nur falls nötig)
wget http://www.cpan.org/modules/by-module/Digest/Digest-HMAC-1.01.tar.gz
wget http://www.cpan.org/modules/by-module/Digest/Digest-SHA1-2.01.tar.gz
wget http://www.cpan.org/modules/by-module/Test/Test-Harness-2.26.tar.gz
wget http://www.cpan.org/modules/by-module/Test/Test-Simple-0.45.tar.gz
wget http://www.cpan.org/modules/by-module/Net/Net-DNS-0.29.tar.gz
wget http://www.cpan.org/modules/by-module/HTML/HTML-Tagset-3.03.tar.gz
wget http://www.cpan.org/modules/by-module/HTML/HTML-Parser-3.26.tar.gz
tar zxpvf Digest*
tar zxpvf Test-Harness*
tar zxpvf Test-Simple*
tar zxpvf Net-DNS*
tar zxpvf HTML-Tagset*
tar zxpvf HTML-Parser*
cd Digest-HMAC*
perl Makefile.PL
make
make test
make install
cd ..
cd Digest-SHA*
perl Makefile.PL
make
make test
make install
cd ..
cd Test-Harness*
perl Makefile.PL
make
make test
make install
cd ..
cd Test-Simple*
perl Makefile.PL
make
make test
make install
cd ..
cd Net-DNS*
perl Makefile.PL
make
make test
make install
cd ..
cd HTML-Tagset*
perl Makefile.PL
make
make test
make install
cd ..
cd HTML-Parser-3.26
perl Makefile.PL
make
make test
make install
cd ..
#!/bin/sh
#Download Hauptprogramm:
# heute aktuell: Mail-SpamAssassin-2.55.tar.gz
wget http://www.spamassassin.org/released/Mail-SpamAssassin-2.43.tar.gz --passive-ftp
# entpacken, installieren
tar zxpvf Mail-SpamAssassin-2.43.tar.gz
cd Mail-SpamAssassin*
perl Makefile.PL
./configure --prefix=/usr
make
make test
make install
#! /bin/sh
# Copyright (c) 1995-2002 SuSE Linux AG, Nuernberg, Germany.
# All rights reserved.
#
# Author: Christian Banik
#
# /etc/init.d/spamd
#
# and symbolic its link
#
# /usr/sbin/rcspamd
#
# LSB compliant service control script; see http://www.linuxbase.org/spec/
#
# System startup script for daemon spamd (written for SuSE Linux 8.0)
#
### BEGIN INIT INFO
# Provides: spamassassin daemon
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: Start spamd to allow filtering of incoming mail
# for spam.
#
### END INIT INFO
#
# Note on Required-Start: It does specify the init script ordering,
# not real dependencies. Depencies have to be handled by admin
# resp. the configuration tools (s)he uses.
# Source SuSE config (if still necessary, most info has been moved)
test -r /etc/rc.config && . /etc/rc.config
# Check for missing binaries (stale symlinks should not happen)
SPAMD_BIN=/usr/bin/spamd
test -x $SPAMD_BIN || exit 5
# Shell functions sourced from /etc/rc.status:
# rc_check check and set local and overall rc status
# rc_status check and set local and overall rc status
# rc_status -v ditto but be verbose in local rc status
# rc_status -v -r ditto and clear the local rc status
# rc_failed set local and overall rc status to failed
# rc_failed set local and overall rc status to
# rc_reset clear local rc status (overall remains)
# rc_exit exit appropriate to overall rc status
# rc_active checks whether a service is activated by symlinks
. /etc/rc.status
# First reset status of this service
rc_reset
# Return values acc. to LSB for all commands but status:
# 0 - success
# 1 - generic or unspecified error
# 2 - invalid or excess argument(s)
# 3 - unimplemented feature (e.g. "reload")
# 4 - insufficient privilege
# 5 - program is not installed
# 6 - program is not configured
# 7 - program is not running
#
# Note that starting an already running service, stopping
# or restarting a not-running service as well as the restart
# with force-reload (in case signalling is not supported) are
# considered a success.
case "$1" in
start)
echo -n "Starting spamassassin daemon (spamd)"
## Start daemon with startproc(8). If this fails
## the echo return value is set appropriate.
# NOTE: startproc returns 0, even if service is
# already running to match LSB spec.
startproc $SPAMD_BIN
touch /var/lock/spamd
# Remember status and be verbose
rc_status -v
;;
stop)
echo -n "Shutting down spamassassin daemon (spamd)"
## Stop daemon with killproc(8) and if this fails
## set echo the echo return value.
killproc $SPAMD_BIN
rm -f /var/lock/spamd
# Remember status and be verbose
rc_status -v
;;
restart)
## Stop the service and regardless of whether it was
## running or not, start it again.
$0 stop
$0 start
# Remember status and be quiet
rc_status
;;
status)
echo -n "Checking for spamassassin daemon (spamd): "
## Check status with checkproc(8), if process is running
## checkproc will return with exit status 0.
# Return value is slightly different for the status command:
# 0 - service running
# 1 - service dead, but /var/run/ pid file exists
# 2 - service dead, but /var/lock/ lock file exists
# 3 - service not running
# NOTE: checkproc returns LSB compliant status values.
checkproc $SPAMD_BIN
rc_status -v
;;
*)
echo "Usage: $0 {start|stop|restart|status|}"
exit 1
;;
esac
rc_exit
#EOF - Startscript
#!/bin/sh
#
# spamassassin This script starts and stops the spamd daemon
#
# chkconfig: 2345 80 30
#
# description: spamd is a daemon process which uses SpamAssassin to check
# email messages for SPAM. It is normally called by spamc
# from a MDA.
# Source function library.
. /etc/rc.d/init.d/functions
# Source networking configuration.
. /etc/sysconfig/network
# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 0
# Source spamd configuration.
if [ -f /etc/sysconfig/spamd ] ; then
. /etc/sysconfig/spamd
else
OPTIONS="-d -c -a"
fi
[ -f /usr/bin/spamd -o -f /usr/local/bin/spamd ] || exit 0
PATH=$PATH:/usr/bin:/usr/local/bin
# See how we were called.
case "$1" in
start)
# Start daemon.
echo -n "Starting spamd: "
daemon spamd $OPTIONS
RETVAL=$?
echo
[ $RETVAL = 0 ] && touch /var/lock/subsys/spamd
;;
stop)
# Stop daemons.
echo -n "Shutting down spamd: "
killproc spamd
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f /var/lock/subsys/spamd
;;
restart)
$0 stop
$0 start
;;
condrestart)
[ -e /var/lock/subsys/spamd ] && $0 restart
;;
status)
status spamd
;;
*)
echo "Usage: $0 {start|stop|restart|status|condrestart}"
exit 1
esac
exit 0
#
#EOF
DROPPRIVS=yes
# The condition line ensures that only messages smaller than 250 kB
# (250 * 1024 = 256000 bytes) are processed by SpamAssassin. Most spam
# isn`t bigger than a few k and working with big messages can bring
# SpamAssassin to its knees.
:0fw
* < 256000
| /usr/bin/spamc
:0e
{
EXITCODE=$?
}
#Bitte auskommentieren,wenn man die Spam-Mails wirklich löschen will:
# :0:
# Wenn es Spam ist, Mail löschen
# * ^X-Spam-Status: Yes
# /dev/null
#EOF
required_hits 6.5
rewrite_subject 0
report_header 1
use_terse_report 1
defang_mime 1
skip_rbl_checks 0
check_mx_attempts 2
check_mx_delay 5
Grundsätzlich hast Du recht.
Specify a maximum number of children to spawn.
Spamd will wait until another child finishes before forking again.
Meanwhile, incoming connections will be queued.
Die Antwort ist 128! (Früher hieß es mal 42, aber die Inflation... )Ich weiß nicht was die max. connections sind
Sorry, der Wert stammt noch vom 1er-Kernel. Seit dem 2er kann man ihn erhöhen und steht std. mässig bei 256. Je nach Distributor kann der Wert aber auch schon bei 512 stehen, wenn er eine leistungsfähigere Maschine vorraussetzt.Huschi said:Ein standard Linux-Kernel kann 128 Connections gleichzeitig offen haben.
Huschi said:Damit bist Du glaub ich der erste mit dem Fedora Core 1 hier im Forum, oder?
Wegen dem speed: Sorry, no plan.
Wie macht es sich denn bemerkbar?
huschi.
Ja. In der Datei /etc/procmailrc mußt Du die letzten Zeilen wie folgt ändern:pretender79 said:kann ich mit deinem Skript, die Mails auf ein bestimmtes Mailkonto umleiten?
# :0:
# Wenn es Spam ist, Mail umleiten
* ^X-Spam-Status: Yes
web1p100
Was willst Du genau wissen?Wie erfolgt die Spamerkennung?
Huschi said:Was willst Du genau wissen?
- Wie SpamAssassin arbeitet?
We use essential cookies to make this site work, and optional cookies to enhance your experience.